Subject: RE: [mobile-ip] Unresolved issue #22: SHOULD or MUST for CN RO?

From: "Karen E Nielsen (TED)" <[email-masked]>
Date: Mon, 6 May 2002 11:31:55 +0200

> Background: Draft 17 will have a section that describes the 
> requirements
> for correspondent nodes. The initial attempt at this text is the
> following:
> 
>     Since any IPv6 node may at any time be a correspondent node of a
>     mobile node, either sending a packet to a mobile node or 
> receiving a
>     packet from a mobile node, the following requirements apply to ALL
>     IPv6 nodes (whether host or router, whether mobile or stationary):
> 
>      -  Every IPv6 node MUST be able to process a Home Address option
>         received in any IPv6 packet.
> 
>      -  Every IPv6 node SHOULD be able to participate in a return
>         routability procedure, process Binding Update messages, and to
>         return a Binding Acknowledgement option if the Acknowledge (A)
>         bit is set in the received Binding Update.
> 
>      -  Every IPv6 node SHOULD be able to maintain a Binding 
> Cache of the
>         bindings received in accepted Binding Updates.
> 
> Samita Chakrabarti comments on this: "IMHO, SHOULD is quite weak
> statement. The whole point of doing route optimization is to save
> round-trip time.  Now that we are solving the security issues, I think
> route optimization is the feature that a CN (a CN could be a MN) must
> implement. But obviously there SHOULD be a knob on MN side to turn it
> off and on.
> 
> Without RO, the roundtrip time now is even longer through the
> reverse tunnel. Route optimization should be "MUST" for CN, IMHO."
> 
> Question: Is the text right? Should the keywords be MUST?
> 

Does it really make sense to mandate (MUST) RO at CN's ? 
Without specifying a certain minimum BC size, a MUST will have no real effect, and do we
have a good idea about what this minimum size "MUST" be ?

SHOULD is the right keyword IMHO. 

CN's supporting RO will provide a better service to MN's, such CN's will be 
chosen above CN's not maintaining BC.

Karen

---

From: Charlie Perkins <[email-masked]>
Date: Mon, 06 May 2002 07:04:09 -0700

Hello folks,

> >Does it really make sense to mandate (MUST) RO at CN's ?

Yes, it makes a lot of sense, because eventually the dominant part of
the Internet will be mobile.

> have a good idea about what this minimum size "MUST" be ?

This is not true.  If it were true, then analogously you would be able
to say that routing protocols could have no real effect because they
do not specify a minimum route table size.

Regards,
Charlie P.